%define themesdir                          %{_datadir}/WindowMaker/Themes

%define include_3dlines                    1
%define include_abyssofred                 1
%define include_advisorylinux              1
%define include_afeelingofrain             1
%define include_casyopeia                  1
%define include_fandust                    1
%define include_galaxy                     1
%define include_giraffe                    1
%define include_glenwood                   1
%define include_gnulisten                  1
%define include_huangshan                  1
%define include_killall                    1
%define include_mageia                     1
%define include_mercurysplat               1
%define include_raingutter                 1
%define include_wall                       1

Name:           windowmaker-themes
Version:        0.2
Release:        %mkrel 3
Summary:        Window Maker Desktop Themes
License:        unknown or CC-By-SA
Group:          Graphical desktop/WindowMaker
URL:            http://www.windowmaker.org
Source0:        wall-0.52.tar.gz   
Source1:        galaxy__-0.60.0.tar.gz
Source2:        3dlines-0.60.0.tar.gz 
Source3:        afeelingofrain-default.tar.gz
Source4:        abyssofred-default.tar.gz
Source5:        fandust-default.tar.gz
Source6:        casyopeia-0.60.0.tar.gz
Source7:        giraffe-default-0.2.tar.gz
Source8:        Glenwood-default.tar.gz
Source9:        gnulisten-default-1.0.tar.gz
Source10:       huangshan_wm_theme-default-0.1.tar.gz
Source11:       killall-default-0.1.tar.gz
Source12:       mercurysplat-default.tar.gz
Source13:       advisorylinux-1.0.tar.gz
Source14:       raingutter-default-1.0.tar.gz
Source15:       %{_vendor}.style

BuildArch:      noarch

%if %{include_3dlines}
Requires:       windowmaker-theme-3dlines
%endif

%if %{include_abyssofred}
Requires:       windowmaker-theme-abyssofred
%endif

%if %{include_advisorylinux}
Requires:       windowmaker-theme-advisorylinux
%endif

%if %{include_afeelingofrain}
Requires:       windowmaker-theme-casyopeia
%endif

%if %{include_casyopeia}
Requires:       windowmaker-theme-casyopeia
%endif

%if %{include_fandust}
Requires:       windowmaker-theme-fandust
%endif

%if %{include_galaxy}
Requires:       windowmaker-theme-galaxy
%endif

%if %{include_giraffe}
Requires:       windowmaker-theme-giraffe
%endif

%if %{include_glenwood}
Requires:       windowmaker-theme-glenwood
%endif

%if %{include_gnulisten}
Requires:       windowmaker-theme-gnulisten
%endif

%if %{include_huangshan}
Requires:       windowmaker-theme-huangshan
%endif

%if %{include_killall}
Requires:       windowmaker-theme-killall
%endif

%if %{include_mageia}
Requires:       windowmaker-theme-mageia
%endif

%if %{include_mercurysplat}
Requires:       windowmaker-theme-mercurysplat
%endif

%if %{include_raingutter}
Requires:       windowmaker-theme-raingutter
%endif

%if %{include_wall}
Requires:       windowmaker-theme-wall
%endif

# old name
Obsoletes:      wmaker-themes < 0.2

%description
Additional themes for the Window Maker desktop and background images.


# ---------------------------------------------------------

%if %{include_3dlines}
%package -n windowmaker-theme-3dlines
Summary:	Window Maker Desktop 3DLines Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-3dlines
%{summary}


%files -n windowmaker-theme-3dlines
%{themesdir}/3dLines.themed
%endif

# ---------------------------------------------------------

%if %{include_abyssofred}
%package -n windowmaker-theme-abyssofred
Summary:	Window Maker Desktop The Abyss Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-abyssofred
%{summary}


%files -n windowmaker-theme-abyssofred
"%{themesdir}/The Abyss.themed"
%endif

# ---------------------------------------------------------

%if %{include_advisorylinux}
%package -n windowmaker-theme-advisorylinux
Summary:	Window Maker Desktop Parental Advisory Linux Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-advisorylinux
%{summary}


%files -n windowmaker-theme-advisorylinux
%{themesdir}/advisorylinux.themed
%endif

# ---------------------------------------------------------

%if %{include_afeelingofrain}
%package -n windowmaker-theme-afeelingofrain
Summary:	Window Maker Desktop A Feeling of Rain Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-afeelingofrain
%{summary}


%files -n windowmaker-theme-afeelingofrain
"%{themesdir}/A Feeling of Rain.themed"
%endif

# ---------------------------------------------------------

%if %{include_casyopeia}
%package -n windowmaker-theme-casyopeia
Summary:	Window Maker Desktop Casyopeia Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-casyopeia
%{summary}


%files -n windowmaker-theme-casyopeia
%{themesdir}/Casyopeia.themed
%endif

# ---------------------------------------------------------

%if %{include_fandust}
%package -n windowmaker-theme-fandust
Summary:	Window Maker Desktop fandust Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-fandust
%{summary}


%files -n windowmaker-theme-fandust
%{themesdir}/fandust.themed
%endif

# ---------------------------------------------------------

%if %{include_galaxy}
%package -n windowmaker-theme-galaxy
Summary:	Window Maker Desktop Galaxy Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-galaxy
%{summary}

%files -n windowmaker-theme-galaxy
%{themesdir}/Galaxy.themed
%endif

# ---------------------------------------------------------

%if %{include_giraffe}
%package -n windowmaker-theme-giraffe
Summary:	Window Maker Desktop Giraffe Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-giraffe
%{summary}

%files -n windowmaker-theme-giraffe
%{themesdir}/Giraffe.themed
%endif

# ---------------------------------------------------------

%if %{include_glenwood}
%package -n windowmaker-theme-glenwood
Summary:	WindowMaker Desktop Glenwood Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-glenwood
%{summary}

%files -n windowmaker-theme-glenwood
%{themesdir}/Glenwood.themed
%endif

# ---------------------------------------------------------

%if %{include_gnulisten}
%package -n windowmaker-theme-gnulisten
Summary:	Window Maker Desktop GNUListen Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-gnulisten
%{summary}


%files -n windowmaker-theme-gnulisten
%{themesdir}/GNUListen.themed
%endif

# ---------------------------------------------------------

%if %{include_huangshan}
%package -n windowmaker-theme-huangshan
Summary:	Window Maker Desktop Huangshan Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-huangshan
%{summary}


%files -n windowmaker-theme-huangshan
%{themesdir}/Huangshan.themed
%endif

# ---------------------------------------------------------

%if %{include_killall}
%package -n windowmaker-theme-killall
Summary:	Window Maker Desktop KillAll Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-killall
%{summary}


%files -n windowmaker-theme-killall
%{themesdir}/KillAll.themed
%endif

# ---------------------------------------------------------

%if %{include_mageia}
%package -n windowmaker-theme-mageia
Summary:	Window Maker Desktop %{_vendor} Theme
License:	unknown and CC-By-SA
Requires:       %{_real_vendor}-theme-Default
Requires:       windowmaker

%description -n windowmaker-theme-mageia
%{summary}


%files -n windowmaker-theme-mageia
%{themesdir}/%{_vendor}.style
%endif

# ---------------------------------------------------------

%if %{include_mercurysplat}
%package -n windowmaker-theme-mercurysplat
Summary:	Window Maker Desktop Mercury Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-mercurysplat
%{summary}


%files -n windowmaker-theme-mercurysplat
%{themesdir}/Mercury.themed
%endif

# ---------------------------------------------------------

%if %{include_raingutter}
%package -n windowmaker-theme-raingutter
Summary:	Window Maker Deskop Rain Gutter Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-raingutter
%{summary}


%files -n windowmaker-theme-raingutter
"%{themesdir}/Rain Gutter.themed"
%endif

# ---------------------------------------------------------

%if %{include_wall}
%package -n windowmaker-theme-wall
Summary:	Window Maker Desktop Wall Theme
License:	unknown
Requires:       windowmaker

%description -n windowmaker-theme-wall
%{summary}


%files -n windowmaker-theme-wall
%{themesdir}/Wall.themed
%endif

# ---------------------------------------------------------

%prep
%setup -q -c 

%if %{include_3dlines}
tar xvf %{_sourcedir}/3dlines-0.60.0.tar.gz
%endif

%if %{include_abyssofred}
tar xvf %{_sourcedir}/abyssofred-default.tar.gz
%endif

%if %{include_advisorylinux}
tar xvf %{_sourcedir}/advisorylinux-1.0.tar.gz
%endif

%if %{include_afeelingofrain}
tar xvf %{_sourcedir}/afeelingofrain-default.tar.gz
%endif

%if %{include_casyopeia}
tar xvf %{_sourcedir}/casyopeia-0.60.0.tar.gz
%endif

%if %{include_fandust}
tar xvf %{_sourcedir}/fandust-default.tar.gz
%endif

%if %{include_galaxy}
tar xvf %{_sourcedir}/galaxy__-0.60.0.tar.gz
%endif

%if %{include_giraffe}
tar xvf %{_sourcedir}/giraffe-default-0.2.tar.gz
%endif

%if %{include_glenwood}
tar xvf %{_sourcedir}/Glenwood-default.tar.gz
%endif

%if %{include_gnulisten}
tar xvf %{_sourcedir}/gnulisten-default-1.0.tar.gz
%endif

%if %{include_huangshan}
tar xvf %{_sourcedir}/huangshan_wm_theme-default-0.1.tar.gz
%endif

%if %{include_killall}
tar xvf %{_sourcedir}/killall-default-0.1.tar.gz
%endif

%if %{include_mageia}
cp %{_sourcedir}/%{_vendor}.style .
%endif

%if %{include_mercurysplat}
tar xvf %{_sourcedir}/mercurysplat-default.tar.gz
%endif

%if %{include_raingutter}
tar xvf %{_sourcedir}/raingutter-default-1.0.tar.gz
%endif

%if %{include_wall}
tar xvf %{_sourcedir}/wall-0.52.tar.gz
%endif

%build
# nothing to do

%install
mkdir -p %{buildroot}%{themesdir}
cp -r * %{buildroot}%{themesdir}

%if %{include_killall}
# remove .xvpics
rm -rf %{buildroot}%{themesdir}/KillAll.themed/.xvpics
%endif

# fix permissions
find %{buildroot}%{_datadir} -type f -exec chmod 644 {} \;
find %{buildroot}%{_datadir} -type d -exec chmod 755 {} \;

# empty file list for the dummy package, it's mandatory to create the rpm
%files


%changelog

* Sun Feb 19 2012 kamil <kamil> 0.2-3.mga2
+ Revision: 210615
- fix suffix of the default background (png->jpg)

* Sun Feb 19 2012 kamil <kamil> 0.2-2.mga2
+ Revision: 210611
- add empty %%files for the main package (without it there is not generated the main package)

* Sun Feb 19 2012 kamil <kamil> 0.2-1.mga2
+ Revision: 210589
- split windowmaker-themes into subpackages for each theme
- change windowmaker-themes into a dummy package that requires the subpackages
- move from windowmaker Galaxy.style and rename it to Mageia.style
- use Mageia default wallpaper in Mageia.style

* Sat Feb 18 2012 kamil <kamil> 0.1-11.mga2
+ Revision: 210518
- change value in the Name tag
- obsolete old package wmaker-themes
- rename package to be more consistent with the package name of WindowMaker

* Fri Feb 17 2012 kamil <kamil> 0.1-10.mga2
+ Revision: 210107
- fix installation directory, stop using old prefixx /usr/X11R6

* Thu Jan 26 2012 kamil <kamil> 0.1-9.mga2
+ Revision: 201919
- rename in the summary and description Windowmaker to WindowMaker
- clean .spec

* Sun Apr 10 2011 dmorgan <dmorgan> 0.1-8.mga1
+ Revision: 83013
- Fix groups (#764)

* Wed Feb 23 2011 ahmad <ahmad> 0.1-7.mga1
+ Revision: 57672
- imported package wmaker-themes

